Page MenuHomePhabricator

don't allow using Special:ContentTranslation if the user doesn't have a permission to create articles
Closed, ResolvedPublic

Description

Special:ContentTranslation is a tool to create pages. It should be impossible to even start using if the user doesn't have a permission to create pages.

Creating pages is allowed by default to all users, including anons, but some wikis customize it. In particular:

All of the above must not be allowed to user Special:CX.

Event Timeline

Amire80 created this task.Dec 16 2014, 2:14 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added a project: ContentTranslation.
Amire80 changed Security from none to None.
Amire80 added a subscriber: Amire80.

Change 184557 had a related patch set uploaded (by Santhosh):
Do not provide CX for blocked users

https://gerrit.wikimedia.org/r/184557

Patch-For-Review

Change 184557 merged by jenkins-bot:
Do not provide CX for blocked users

https://gerrit.wikimedia.org/r/184557

Amire80 triaged this task as High priority.Jan 15 2015, 8:53 AM
santhosh closed this task as Resolved.Mar 31 2015, 11:56 AM
santhosh claimed this task.